import {
  ConsultancyComponent,
  ServiceTypes,
  SoftwareEngineeringComponent,
  TrainingsComponent,
} from './components';
import { Type } from '@angular/core';

export type ServiceComponentType = ConsultancyComponent
  | TrainingsComponent
  | SoftwareEngineeringComponent;

export const servicesComponentFactory:
  Record<ServiceTypes, Type<ServiceComponentType>>
  = {
  [ServiceTypes.consultancy]: ConsultancyComponent,
  [ServiceTypes.trainings]: TrainingsComponent,
  [ServiceTypes.engineering]: SoftwareEngineeringComponent,
};
